# Dividends

`GET` `/v1/quote/dividends`

Get dividend history and upcoming dividend announcements for a security.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `AAPL.US` |
| `start_date` | string | No | Start date in `YYYY-MM-DD` format |
| `end_date` | string | No | End date in `YYYY-MM-DD` format |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/dividends?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | Dividend records |
| `└ id` | string | No | Dividend event ID |
| `└ desc` | string | No | Dividend description |
| `└ symbol` | string | No | Security symbol |
| `└ record_date` | string | No | Record date |
| `└ ex_date` | string | No | Ex-dividend date |
| `└ payment_date` | string | No | Payment date |
| `└ dividend_summary` | object | No | Dividend summary. |
| `└ ∟ title` | string | No | Topic title |
| `└ ∟ desc` | string | No | Dividend description |
| `total` | string | No | Total number of matching stocks. |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": [
      {
        "id": "12345",
        "symbol": "AAPL.US",
        "ex_date": "2026-02-07",
        "payment_date": "2026-02-13",
        "record_date": "2026-02-10",
        "desc": "Cash dividend 0.25 USD"
      }
    ]
  }
}
```
